package com.key.vibekeyboard.utils;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class TaskExecutorUtils {

    private static ExecutorService executorService;

    public static void executeIO(Runnable task) {
        getExecutorService().execute(task);
    }

    private static ExecutorService getExecutorService() {
        if (executorService == null) {
            executorService = Executors.newSingleThreadExecutor();
        }
        return executorService;
    }

}
